Package org.pushingpixels.lafwidget.ant

# Class UiDelegateAugmenter

java.lang.Object
org.pushingpixels.lafwidget.ant.UiDelegateAugmenter

public class UiDelegateAugmenter extends Object
Augments the UI classes with laf-widget behaviour. Is based on sample adapter from ASM distribution.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`UiDelegateAugmenter.AugmentClassAdapter`
Class adapter that augments the UI functionality.

## Constructor Summary

Constructors
Constructor
Description
`UiDelegateAugmenter()`
Creates the new augmenter.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`augmentClass(String dir, String name)`
Augments a single class with additional UI behaviour.
`static void`
`main(String[] args)`
Test method.
`void`
`process(String toStrip, File file, Pattern pattern)`
Processes a single file or a directory, augmenting all relevant classes.
`void`
`setVerbose(boolean isVerbose)`
Sets the verbosity.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UiDelegateAugmenter

public UiDelegateAugmenter()
Creates the new augmenter.

## Method Details

### augmentClass

protected void augmentClass(String dir, String name)
Augments a single class with additional UI behaviour.

Parameters:
  `dir` - Root directory for the library that contains the class.
  `name` - Fully-qualified class name.
Throws:
  `AugmentException` - If the augmentation process failed.

### process

public void process(String toStrip, File file, Pattern pattern) throws AugmentException
Processes a single file or a directory, augmenting all relevant classes.

Parameters:
  `toStrip` - The leading prefix to strip from the file names. Is used to create fully-qualified class name.
  `file` - File resource (can point to a single file or to a directory).
  `pattern` - Pattern to apply to the file name (of the single file). If the file name matches the pattern, the relevant class is augmented.
Throws:
  `AugmentException` - If the augmentation process failed.

### setVerbose

public void setVerbose(boolean isVerbose)
Sets the verbosity.

Parameters:
  `isVerbose` - New value for augmentation process verbosity.

### main

public static void main(String[] args) throws AugmentException
Test method.

Parameters:
  `args` -
Throws:
  `AugmentException`